using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MarketData.Generator.Momentum
{
  public class SMSNotifications : Dictionary<String,SMSNotification>
  {
  }
  public class SMSNotification
  {
    public SMSNotification()
    {
    }
    public DateTime NotificationTime{get;set;}
    public int ElapsedTimeMinutes(DateTime currentTime)
    {
      TimeSpan elapsedTime=currentTime-NotificationTime;
      return elapsedTime.Minutes;
    }
  }
}
